### Function

# Gtk tree_get_row_drag_data

deprecated: 4.10 since: 4.0

#### Declaration [src]

    gboolean
    gtk_tree_get_row_drag_data (
      const GValue* value,
      GtkTreeModel** tree_model,
      GtkTreePath** path
    )

#### Description [src]

Obtains a `tree_model` and `path` from value of target type `GTK_TYPE_TREE_ROW_DATA`.

The returned path must be freed with gtk_tree_path_free().

Available since: 4.0

Deprecated since: 4.10

Use list models instead.

#### Parameters

`value`

  Type: `GValue`

  A `GValue`

  The data is owned by the caller of the function.

`tree_model`

  Type: `GtkTreeModel`

  A `GtkTreeModel`

  The argument will be set by the function.
  The argument can be set to `NULL` by the function.
  The argument can be `NULL`.
  The data is owned by the function.

`path`

  Type: `GtkTreePath`

  Row in `tree_model`.

  The argument will be set by the function.
  The argument can be set to `NULL` by the function.
  The argument can be `NULL`.
  The caller of the function takes ownership of the data, and is responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if `selection_data` had target type `GTK_TYPE_TREE_ROW_DATA` is otherwise valid.